FROM ubuntu:22.04

ARG TZ=UTC

RUN set -ex \
	&& ln -snf /usr/share/zoneinfo/$TZ /etc/localtime \
    # Update packages
	&& apt update -yqq \
	&& apt upgrade -yqq \
    # Install system deps
	&& apt install -yqq --no-install-recommends \
		golang-1.17 \
        git \
        build-essential \
		ca-certificates \
    # Upload&Utils
        curl make \
    # Clean apt
    && rm -rf \
      /var/lib/apt/lists/* \
      /tmp/* \
      /var/tmp/* \
      /usr/share/man \
      /usr/share/doc \
      /usr/share/doc-base \
    # Add telegram notifier
    && curl --output /usr/bin/telegram_notifier https://gitlab.com/api/v4/projects/22543844/packages/generic/telegram_notifier/0.1.4/telegram-notifier-linux-amd64 \
    && chmod +x /usr/bin/telegram_notifier

ENV PATH="/usr/lib/go-1.17/bin:${PATH}"

WORKDIR /go/src/app
